CREATE TABLE ja_cn_rule_trx_types (
    RULE_LINE_TRX_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONDITION_RULE           VARCHAR2(120)    NOT NULL,
    CUST_TRX_TYPE_SEQ_ID     NUMBER(18, 0)    NOT NULL,
    RULE_HEADER_ID           NUMBER(18, 0)    NOT NULL,
    SET_ID                   NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    RULE_LINE_TRX_ID         NUMBER(18, 0),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONDITION_RULE           VARCHAR2(120)    NOT NULL,
    CUST_TRX_TYPE_SEQ_ID     NUMBER(18, 0)    NOT NULL,
    RULE_HEADER_ID           NUMBER(18, 0)    NOT NULL,
    SET_ID                   NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CONSTRAINT pk_ja_cn_rule_trx_types PRIMARY KEY (RULE_LINE_TRX_ID, RULE_LINE_TRX_ID)
);
